Bug 251323 - security/lego: Update to 4.1.2
Summary: security/lego: Update to 4.1.2
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/go-acme/lego/blob/...
Keywords: buildisok
Depends on:
Blocks:
 
Reported: 2020-11-23 03:27 UTC by Matthew Horan
Modified: 2020-11-24 14:26 UTC (History)
1 user (show)

See Also:


Attachments
Update to 4.1.2 (1.17 KB, patch)
2020-11-23 03:27 UTC, Matthew Horan
matt: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Horan 2020-11-23 03:27:05 UTC
Created attachment 219899 [details]
Update to 4.1.2
Comment 1 Automation User 2020-11-23 08:14:34 UTC
Build and package info is available at https://gitlab.com/swills/freebsd-ports/pipelines/219785090
Comment 2 Fernando Apesteguía freebsd_committer 2020-11-24 06:37:42 UTC
Hi Matthew,

It builds fine in 11.4 and 12.1 but it does not in -current:

github.com/urfave/cli
github.com/go-acme/lego/v4/providers/dns/sakuracloud
github.com/go-acme/lego/v4/providers/dns
github.com/go-acme/lego/v4/cmd
github.com/go-acme/lego/v4/cmd/lego
# github.com/go-acme/lego/v4/cmd/lego
panic: sym already present in installSym

goroutine 1 [running]:
cmd/link/internal/loader.(*Loader).installSym(...)
        /usr/local/go/src/cmd/link/internal/loader/loader.go:2447
cmd/link/internal/loader.(*Loader).addNewSym(0xc00058a000, 0xb4f4, 0x8290152df, 0x16, 0x1, 0xc000177560, 0xffffffffffffff01, 0x8290152df)
        /usr/local/go/src/cmd/link/internal/loader/loader.go:2465 +0x245
cmd/link/internal/loader.loadObjSyms(0xc00058a000, 0xc00000c140, 0xc000594f60, 0xc000080000, 0x0)
        /usr/local/go/src/cmd/link/internal/loader/loader.go:2525 +0x312
cmd/link/internal/loader.(*Loader).LoadFull(0xc00058a000, 0x86c760, 0xc00000c140, 0x0)
        /usr/local/go/src/cmd/link/internal/loader/loader.go:2088 +0x1cf
cmd/link/internal/ld.(*Link).loadlibfull(0xc00006f880, 0xc006bf4000, 0x97a72, 0x97a72, 0x26c0000)
        /usr/local/go/src/cmd/link/internal/ld/lib.go:2835 +0x73
cmd/link/internal/ld.Main(0x86c760, 0x20, 0x20, 0x1, 0x7, 0x10, 0x0, 0x0, 0x6d87b2, 0x1b, ...)
        /usr/local/go/src/cmd/link/internal/ld/main.go:341 +0x18cc
main.main()
        /usr/local/go/src/cmd/link/main.go:68 +0x1dc
*** Error code 2

Stop.
make: stopped in /usr/ports/security/lego
build of security/lego | lego-4.1.2 ended at Tue Nov 24 10:34:18 CET 2020
build time: 00:02:19
!!! build failure encountered !!!
[00:09:32] Error: Build failed in phase: build


Would you have a look at it?
Comment 3 Matthew Horan 2020-11-24 13:54:33 UTC
Hi Fernando,

(In reply to Fernando Apesteguía from comment #2)

It looks like this might be a system issue or something else in your environment. See https://github.com/golang/go/issues/42772.

I don't have a -current system but I can try to bring one up. However, this is an issue in the linker which I don't know much about so we'd need some Go experts to take a look.

It does look like the automated build passed on -current, so I do suspect there's something else going on here.
Comment 4 Fernando Apesteguía freebsd_committer 2020-11-24 14:20:47 UTC
(In reply to Matthew Horan from comment #3)
OK,

I built it two more times successfully. This -current is running in VBox so maybe it is related to that. I will build a couple of times more and commit if nothing shows up.

Thanks!
Comment 5 commit-hook freebsd_committer 2020-11-24 14:25:56 UTC
A commit references this bug:

Author: fernape
Date: Tue Nov 24 14:24:55 UTC 2020
New revision: 556159
URL: https://svnweb.freebsd.org/changeset/ports/556159

Log:
  security/lego: Update to 4.1.2

  ChangeLog: https://github.com/go-acme/lego/blob/master/CHANGELOG.md#v412---2020-11-21

  PR:	251323
  Submitted by:	matt@matthoran.com (maintainer)

Changes:
  head/security/lego/Makefile
  head/security/lego/distinfo
Comment 6 Fernando Apesteguía freebsd_committer 2020-11-24 14:26:27 UTC
Committed,

I assume something went bad on my side.

Thanks!